Update to most recent version of upstream automake (1.13.1)

Resolves: #848378
This commit is contained in:
Pavel Raiskup 2013-01-10 11:11:42 +01:00
parent e84c05e7bb
commit 20b6afb27a
5 changed files with 16 additions and 118 deletions

1
.gitignore vendored
View File

@ -4,3 +4,4 @@ automake-1.11.1.tar.bz2
/automake-1.11.4.tar.xz
/automake-1.11.5.tar.xz
/automake-1.12.2.tar.xz
/automake-1.13.1.tar.xz

View File

@ -1,15 +0,0 @@
diff -up automake-1.12.2/t/aclocal7.sh.sleep automake-1.12.2/t/aclocal7.sh
--- automake-1.12.2/t/aclocal7.sh.sleep 2012-07-17 13:50:29.860646914 +0200
+++ automake-1.12.2/t/aclocal7.sh 2012-07-17 13:55:56.752112356 +0200
@@ -45,6 +45,11 @@ AUTOMAKE_after_aclocal ()
$AUTOMAKE --no-force
}
+# aclocal will rewrite aclocal.m4 unless the input files are all older than the
+# existing aclocal.m4 -- sleep to ensure somedefs.m4 has an older timestamp
+# than the aclocal.m4 that the next aclocal call will generate.
+$sleep
+
$ACLOCAL -I m4
AUTOMAKE_after_aclocal

View File

@ -1,91 +0,0 @@
diff --git a/t/vala-headers.sh b/t/vala-headers.sh
index 48dbf81..50e8e2b 100755
--- a/t/vala-headers.sh
+++ b/t/vala-headers.sh
@@ -16,6 +16,8 @@
# Test to make sure compiling Vala code really works with recursive make.
+exit 77
+
required="pkg-config valac gcc GNUmake"
. ./defs || exit 1
diff --git a/t/vala-libs.sh b/t/vala-libs.sh
index f6a7ba9..84c4c86 100755
--- a/t/vala-libs.sh
+++ b/t/vala-libs.sh
@@ -17,6 +17,8 @@
# Building libraries (libtool and static) from Vala sources.
# And use of vapi files to call C code from Vala.
+exit 77
+
required="valac cc pkg-config libtoolize GNUmake"
. ./defs || exit 1
diff --git a/t/vala-mix.sh b/t/vala-mix.sh
index 2580bd0..11c5061 100755
--- a/t/vala-mix.sh
+++ b/t/vala-mix.sh
@@ -16,6 +16,8 @@
# Vala sources and C sources in the same program. Functional test.
+exit 77
+
required='valac cc GNUmake'
. ./defs || exit 1
diff --git a/t/vala-mix2.sh b/t/vala-mix2.sh
index e1dbb5d..344dd7e 100755
--- a/t/vala-mix2.sh
+++ b/t/vala-mix2.sh
@@ -17,6 +17,8 @@
# Vala sources, C and C++ sources and C and C++ headers in the same
# program. Functional test. See automake bug#10894.
+exit 77
+
required='valac cc c++ GNUmake'
. ./defs || exit 1
diff --git a/t/vala-parallel.sh b/t/vala-parallel.sh
index d03080d..68bd752 100755
--- a/t/vala-parallel.sh
+++ b/t/vala-parallel.sh
@@ -16,6 +16,8 @@
# Vala support with parallel make.
+exit 77
+
required='valac cc GNUmake'
. ./defs || exit 1
diff --git a/t/vala-vapi.sh b/t/vala-vapi.sh
index 1862b71..25ed253 100755
--- a/t/vala-vapi.sh
+++ b/t/vala-vapi.sh
@@ -16,6 +16,8 @@
# Test and that vapi files are correctly handled by Vala support.
+exit 77
+
required='valac cc GNUmake'
. ./defs || exit 1
diff --git a/t/vala-vpath.sh b/t/vala-vpath.sh
index 9874f68..b5af378 100755
--- a/t/vala-vpath.sh
+++ b/t/vala-vpath.sh
@@ -17,6 +17,8 @@
# Test to make sure vala support handles from-scratch VPATH builds.
# See automake bug#8753.
+exit 77
+
required="cc valac GNUmake"
. ./defs || exit 1

View File

@ -1,17 +1,15 @@
%global api_version 1.12
%global api_version 1.13
Summary: A GNU tool for automatically creating Makefiles
Name: automake
Version: %{api_version}.2
Release: 6%{?dist}
Version: %{api_version}.1
Release: 1%{?dist}
License: GPLv2+ and GFDL
Group: Development/Tools
Source: http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Patch0: automake-1.12.2-aclocal7-sleep.patch
Patch1: automake-1.12.2-vala-fails.patch
Source: ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
URL: http://www.gnu.org/software/automake/
Requires: autoconf >= 2.68
BuildRequires: autoconf >= 2.68
Requires: autoconf >= 2.65
BuildRequires: autoconf >= 2.65
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch: noarch
@ -42,8 +40,6 @@ Makefiles.
%prep
%setup -q -n automake-%{version}
%patch0 -p1 -b .aclocal7-sleep
%patch1 -p1 -b .vala-build-problems
%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
@ -58,7 +54,7 @@ make install DESTDIR=%{buildroot}
%check
%if %{with check}
make check
make -k -j4 check
%endif
%post
@ -80,6 +76,13 @@ fi
%{_mandir}/man1/*
%changelog
* Thu Jan 10 2013 Pavel Raiskup <praiskup@redhat.com> - 1.13.1-1
- update to recent automake-1.13.1
- minimum required autoconf is 2.65 (based on upstream suggestion)
- make check is run now parallel (based on 't/README' it helps also on
single-thread machines)
- drop unnecessary patches
* Wed Oct 25 2012 Pavel Raiskup <praiskup@redhat.com> - 1.12.2-6
- fedora-review -> s/define/global/, s/RPM_BUILD_ROOT/buildroot/,
remove defattr() from %%files section

View File

@ -1 +1 @@
56c3ab38a5ed8f2b825341b4e007372a automake-1.12.2.tar.xz
a60380ab11e1481376b7747d1b42ced2 automake-1.13.1.tar.xz